# Uses of Interface
org.opensaml.saml.saml2.core.Status

Packages that use Status
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.
org.opensaml.saml.saml2.testing

## Uses of Status in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return Status
Modifier and Type
Method
Description
`Status`
StatusResponseType.`getStatus()`
Gets the Status of this response.
Methods in org.opensaml.saml.saml2.core with parameters of type Status
Modifier and Type
Method
Description
`void`
StatusResponseType.`setStatus(Status newStatus)`
Sets the Status of this response.

## Uses of Status in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement Status
Modifier and Type
Class
Description
`class`
`StatusImpl`
Concrete implementation of `Status`.
Fields in org.opensaml.saml.saml2.core.impl declared as Status
Modifier and Type
Field
Description
`private Status`
StatusResponseTypeImpl.`status`
Status child element.
Methods in org.opensaml.saml.saml2.core.impl that return Status
Modifier and Type
Method
Description
`Status`
StatusBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Status`
StatusBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Status`
StatusResponseTypeImpl.`getStatus()`
Gets the Status of this response.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type Status
Modifier and Type
Method
Description
`void`
StatusResponseTypeImpl.`setStatus(Status newStatus)`
Sets the Status of this response.

## Uses of Status in org.opensaml.saml.saml2.profile.impl

Methods in org.opensaml.saml.saml2.profile.impl with parameters of type Status
Modifier and Type
Method
Description
`private void`
AddStatusToResponse.`buildStatusCode(Status status, List<String> codes)`
Build and attach `StatusCode` element.
`private void`
AddStatusToResponse.`buildStatusMessage(Status status, String message)`
Build and attach `StatusMessage` element.

## Uses of Status in org.opensaml.saml.saml2.testing

Methods in org.opensaml.saml.saml2.testing that return Status
Modifier and Type
Method
Description
`static Status`
SAML2ActionTestingSupport.`buildStatus(String codeString, String subcodeString)`
Builds a `Status`.